Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.simpleImpl
Class FileMarkupProvider

    java.lang.Object
      org.eclipse.contribution.visualiser.simpleImpl.SimpleMarkupProvider
          org.eclipse.contribution.visualiser.simpleImpl.FileMarkupProvider

All Implemented Interfaces:
  IMarkupProvider

public class FileMarkupProvider
extends SimpleMarkupProvider

Example implementation of a markup provider. It allows the superclass 'SimpleMarkupProvider' to handle much of the grunt work, this subclass is purely responsible for retrieving markup data from a file in a specified format. The three key elements of this class are: 1) initialise() is called by the org.eclipse.contribution.visualiser to get a markup provider ready 2) the provider adds stripes to the SimpleMarkupProvider using the method addMarkup(full_membername, stripe) 3) after adding all the markups, it calls processMarkups on the superclass, processMarkups analyses all the places where stripes overlap

Constructor Summary
`FileMarkupProvider()`

Method Summary
`void` | `initialise()` Initialise the provider - loads markup information from a file
`void` | `loadMarkups(java.io.InputStream in)` Load the markup information from given input stream

Methods inherited from class org.eclipse.contribution.visualiser.simpleImpl.SimpleMarkupProvider
`activate, addMarkup, addMarkupKind, deactivate, getAllMarkupKinds, getColorFor, getGroupMarkups, getMemberMarkups, processMarkups, processMouseclick, resetColours, resetMarkupsAndKinds, setColorFor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileMarkupProvider

    public FileMarkupProvider()

Method Detail

### initialise

    public void initialise()

  Initialise the provider - loads markup information from a file

  Specified by:
    `initialise` in interface `IMarkupProvider`
  Overrides:
    `initialise` in class `SimpleMarkupProvider`

### loadMarkups

    public void loadMarkups(java.io.InputStream in)

  Load the markup information from given input stream

  Parameters:
    `in` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD